Skip to content

Send confirmation code for contact verification

Request

Send a verification code to an email or phone number.

This creates a confirmation code in the system which can be used via the .../contacts endpoint to verify the contact. (i.e., this sets the verified attribute of the contact to true.)

This endpoint is rate limited to 10 requests per borrower per hour.

An interaction is created with InteractionSubject confirmationCode.

NOTE: This endpoint is not checked against Compliance Guard, however it should never be necessary to restrict sending confirmation codes due to compliance guard rules.

Security
oauth2(Required scopes:
communicator.confirmationcode:se...
)
or bearerAuth or apiKeyHeader
Bodyapplication/jsonrequired
channelstring or null(InteractionChannel)

The channel where interactions with a borrower occur. For example, an outbound call with a borrower is considered a voice interaction.

DEPRECATED: The fax channel is deprecated: new interactions cannot be created with the fax channel. It will be removed from completely in the future.

Enum:"voice""email""fax""text""chat""mail""gui""document"
contextobject

Template specific properties to substitute in the corresponding ConfirmationCode template.

emailstring

The destination email address.

personIdstringrequired

The borrower's unique identifier. Can be Peach or lender's external identifier.

phonestring

The destination phone number.

POST
/communicator/send-confirmation-code
curl -i -X POST \
  https://sandboxapi.peach.finance/api/communicator/send-confirmation-code \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "channel": "voice",
    "context": {},
    "email": "string",
    "personId": "string",
    "phone": "string"
  }'

Responses

OK